Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class Html

    java.lang.Object
      |
      +--com.caucho.xml.AbstractParser
            |
            +--com.caucho.xml.XmlParser
                  |
                  +--com.caucho.xml.Html

All Implemented Interfaces:
  org.xml.sax.Locator, org.xml.sax.Parser, org.xml.sax.XMLReader

public class Html
extends XmlParser

HTML parser interface. The parser can parse directly into the DOM, or it can be used as a SAX parser.

To parse a file into a DOM Document use

     Document doc = new Html().parseDocument("foo.html");

To parse a string into a DOM Document use

     String html = "<h1>small test</h1>";
     Document doc = new Html().parseDocumentString(html);

To parse a file using the SAX API use

     Html html = new Html();
     html.setContentHandler(myContentHandler);
     html.parse("foo.html");

Constructor Summary
`Html()` Create a new HTML parser

Methods inherited from class com.caucho.xml.XmlParser
`free, getColumnNumber, getFilename, getLine, getLineNumber, getPublicId, getSystemId, setLine, setReader, unread`

Methods inherited from class com.caucho.xml.AbstractParser
`getContentHandler, getDefaultEncoding, getDTDHandler, getEntitiesAsText, getEntityResolver, getErrorHandler, getFeature, getForgiving, getJsp, getProperty, getResinInclude, getSearchPath, getSkipComments, isCoalescing, openStream, parse, parse, parse, parse, parse, parseDocument, parseDocument, parseDocument, parseDocument, parseDocument, parseDocumentString, parseString, setAutodetectXml, setCoalescing, setConfig, setContentHandler, setDefaultEncoding, setDocumentHandler, setDTDHandler, setEntitiesAsText, setEntityResolver, setErrorHandler, setExpandEntities, setFeature, setForgiving, setJsp, setLocale, setProperty, setResinInclude, setSearchPath, setSkipComments, setSkipWhitespace, setToLower`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Html

    public Html()

  Create a new HTML parser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD